E-MailRelay

Classes | Namespaces
gsocketprotocol.h File Reference
`#include "gdef.h"`
`#include "gsocket.h"`
`#include "geventhandler.h"`
`#include "gexception.h"`
`#include "gstringview.h"`
`#include "glimits.h"`
`#include <string>`
`#include <memory>`
`#include <utility>`
`#include <vector>`
Include dependency graph for gsocketprotocol.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GNet::SocketProtocol
| An interface for implementing a low-level TLS/SSL protocol layer on top of a connected non-blocking socket. More...
struct | GNet::SocketProtocol::Config
| A configuration structure for GNet::SocketProtocol. More...
class | GNet::SocketProtocolSink
| An interface used by GNet::SocketProtocol to deliver data from a socket. More...

## Namespaces
namespace | GNet
| Network classes.